/*
 * Example for Mic click
 *
 * Date         Mar 2017
 * Author       Djordje Rosic
 * Copyright    GNU Public License v2
 *
 * Test configuration PIC32 :
 *  MCU           :        P32MX795F512L
 *  Dev. Board    :        EasyPIC Fusion v7
 *  SW            :        mikroC PRO for PIC32 v3.6.1
 *
 ******************************************************************************/

#include "tft_resources.h"
#include <stdint.h>

sbit AN         at RB8_bit;        /*mic click AN pin settings*/
sbit AN_DIR     at TRISB8_bit;

uint16_t x;
uint16_t y;
uint16_t oldx;
uint16_t oldy;

static void systemInit( void );
/*
 * System Initialization
 */
void systemInit ()
{
    AD1PCFG = 0xFFFF;
    
    AD1PCFGbits.PCFG8 = 0;    /* Configure RB8 as analog input.*/
    AN_DIR = 1;               /* Configure RB8/AN as input.  */
    
    x = 1;
    oldx = 0;
    oldy = 144;
    
    displayInit();
}

void main()
{
    uint16_t valueMeasured;
    systemInit ();
    TFT_Set_Pen( CL_RED, 1 );
    while (1)
    {
        valueMeasured = ADC1_Read(8);
        y=valueMeasured/7 + 71;
        
        if (x !=0)
            TFT_Line (x, y, oldx, oldy);
        
        oldx = x;
        oldy = y;
        Delay_ms (10);
        x++;
        if (x==320)
        {
            x=0;  
            TFT_Set_Pen( CL_WHITE, 1 );
            TFT_Rectangle (0,71,320,219);
            TFT_Set_Pen( CL_RED, 1 );
        }
    }
}
/************************************************************ END OF FILE *****/